#
# Authors: Robert Abram <robert.abram@entpack.com>
#
# Copyright (C) 2015 EntPack
# see file 'COPYING' for use and warranty information
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


import unittest
from unittest import TestCase
from oauth2_provider.settings import oauth2_settings
from proj.common.oauth_helper import encrypt_access_token, decrypt_access_token


# Test the AESCipher encrypt and decrypt methods
class TestCryptoData(TestCase):

    def test_oauth_crypto(self):

        phrase = 'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE'

        token = {
            'access_token': 'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE',
            'expires_in': oauth2_settings.ACCESS_TOKEN_EXPIRE_SECONDS,
            'token_type': 'Password',
            'refresh_token': 'abc',
            'scope': 'read write'
        }

        data = encrypt_access_token(token)

        if not data:
            self.fail()

        result = decrypt_access_token(data)

        if not result:
            self.fail()

        if phrase != result['access_token']:
            self.fail('Decrypted value does not match phrase.')

if __name__ == '__main__':
    unittest.main()
